MotorWare f2806x Module API Documentation

- Main Page
- Modules
- Data Structures
- Files

Data Structures | Macros | Typedefs | Enumerations | Functions
SpinTAC Velocity Move

## Data Structures
struct | ST_VelMoveCfg_t
| Defines the ST_VelMoveCfg_t data. More...
struct | ST_VelMoveMsg_t
| Defines the ST_VelMoveMsg_t message data. More...
struct | ST_VelMove_t
| Defines the ST_VelMove_t data. More...

## Macros
#define | __ST_AXIS_ENUM__
#define | __ST_MOVE_CURVE_TYPE_ENUM__
#define | __ST_MOVE_STATUS_ENUM__

## Typedefs
typedef struct _ST_VELMOVE_Handle_ * | ST_VELMOVE_Handle

## Enumerations
enum | ST_Axis_e { ST_AXIS0 =0, ST_AXIS1, ST_AXIS0 =0, ST_AXIS1, ST_AXIS0 =0, ST_AXIS1, ST_AXIS0 =0, ST_AXIS1 }
| Enumeration for the Axis Status states. More...
enum | ST_MoveCurveType_e { ST_MOVE_CUR_TRAP =0, ST_MOVE_CUR_SCRV, ST_MOVE_CUR_STCRV, ST_MOVE_CUR_TRAP =0, ST_MOVE_CUR_SCRV, ST_MOVE_CUR_STCRV }
| Enumeration for the Move Curve modes. More...
enum | ST_MoveStatus_e { ST_MOVE_IDLE =0, ST_MOVE_INIT, ST_MOVE_CONF, ST_MOVE_BUSY, ST_MOVE_HALT, ST_MOVE_IDLE =0, ST_MOVE_INIT, ST_MOVE_CONF, ST_MOVE_BUSY, ST_MOVE_HALT }
| Enumeration for the Move Status states. More...

## Functions
static void | STVELMOVE_setAxis (ST_VELMOVE_Handle handle, ST_Axis_e axis)
| Sets the Axis (cfg.Axis) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setCurveType (ST_VELMOVE_Handle handle, ST_MoveCurveType_e curveType)
| Sets the Curve Type (cfg.CurveType) for SpinTAC Velocity Move. More...
static ST_MoveCurveType_e | STVELMOVE_getCurveType (ST_VELMOVE_Handle handle)
| Gets the Curve Type (cfg.CurveType) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setSampleTime_sec (ST_VELMOVE_Handle handle, _iq24 sampleTime)
| Sets the Sample Time (cfg.T_sec) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setHaltLimits (ST_VELMOVE_Handle handle, _iq20 haltJrkLim)
| Sets the Halt Limits (cfg.HaltJrkLim) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setVelocityStart (ST_VELMOVE_Handle handle, _iq24 velStart)
| Sets the Velocity Start (cfg.VelStart) for SpinTAC Velocity Move. More...
static _iq24 | STVELMOVE_getVelocityStart (ST_VELMOVE_Handle handle)
| Gets the Velocity Start (cfg.VelStart) for SpinTAC Velocity Move. More...
static uint32_t | STVELMOVE_getProfileTime_tick (ST_VELMOVE_Handle handle)
| Gets the Profile Time (msg.ProTime_tick) for SpinTAC Velocity Move. More...
static _iq24 | STVELMOVE_getActualAcceleration (ST_VELMOVE_Handle handle)
| Gets the Actual Acceleration (msg.ActualAccLim) for current profile. More...
static _iq20 | STVELMOVE_getActualJerk (ST_VELMOVE_Handle handle)
| Gets the Actual Jerk (msg.ActualJrkLim) for current pofile. More...
static void | STVELMOVE_setVelocityEnd (ST_VELMOVE_Handle handle, _iq24 velEnd)
| Sets the Velocity End (VelEnd) for SpinTAC Velocity Move. More...
static _iq24 | STVELMOVE_getVelocityEnd (ST_VELMOVE_Handle handle)
| Gets the Velocity End (VelEnd) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setAccelerationLimit (ST_VELMOVE_Handle handle, _iq24 accLim)
| Sets the Acceleration Limit (AccLim) for SpinTAC Velocity Move. More...
static _iq24 | STVELMOVE_getAccelerationLimit (ST_VELMOVE_Handle handle)
| Gets the Acceleration Limit (AccLim) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setJerkLimit (ST_VELMOVE_Handle handle, _iq20 jrkLim)
| Sets the Jerk Limit (JrkLim) for SpinTAC Velocity Move. More...
static _iq20 | STVELMOVE_getJerkLimit (ST_VELMOVE_Handle handle)
| Gets the Jerk Limit (JrkLim) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setEnable (ST_VELMOVE_Handle handle, bool enb)
| Sets the Enable signal (ENB) for SpinTAC Velocity Move. More...
static bool | STVELMOVE_getEnable (ST_VELMOVE_Handle handle)
| Gets the Enable signal (ENB) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setTest (ST_VELMOVE_Handle handle, bool tst)
| Sets the Test signal (TST) for SpinTAC Velocity Move. More...
static bool | STVELMOVE_getTest (ST_VELMOVE_Handle handle)
| Gets the Test signal (TST) for SpinTAC Velocity Move. More...
static _iq24 | STVELMOVE_getVelocityReference (ST_VELMOVE_Handle handle)
| Gets the Velocity Reference (VelRef) for SpinTAC Velocity Move. More...
static void | STVELMOVE_setVelocityReference (ST_VELMOVE_Handle handle, _iq24 velRef)
| Sets the Velocity Reference (VelRef) for SpinTAC Velocity Move. More...
static _iq24 | STVELMOVE_getAccelerationReference (ST_VELMOVE_Handle handle)
| Gets the Acceleration Reference (AccRef) for SpinTAC Velocity Move. More...
static _iq20 | STVELMOVE_getJerkReference (ST_VELMOVE_Handle handle)
| Gets the Jerk Reference (JrkRef) for SpinTAC Velocity Move. More...
static ST_MoveStatus_e | STVELMOVE_getStatus (ST_VELMOVE_Handle handle)
| Gets the Status value (STATUS) for SpinTAC Velocity Move. More...
static uint16_t | STVELMOVE_getErrorID (ST_VELMOVE_Handle handle)
| Gets the Error value (ERR_ID) for SpinTAC Velocity Move. More...
ST_VELMOVE_Handle | STVELMOVE_init (void *pMemory, const size_t numBytes)
| Initializes the SpinTAC Velocity Move object. More...
void | STVELMOVE_run (ST_VELMOVE_Handle handle)
| Runs the SpinTAC Velocity Move Function. More...

## Detailed Description

## Data Structure Documentation

struct ST_VelMoveCfg_t

Defines the ST_VelMoveCfg_t data.

The ST_VelMoveCfg_t object contains all configuration parameters of the Velocity Move component.

Definition at line 92 of file spintac_vel_move.h.

Data Fields
ST_Axis_e | Axis | Axis ID { ST_AXIS0: axis 0, ST_AXIS1: axis 1}.
ST_MoveCurveType_e | CurveType | Curve Type { ST_MOVE_CUR_TRAP: Trap; ST_MOVE_CUR_SCRV: s-Curve; ST_MOVE_CUR_STCRV: st-Curve }.
_iq20 | HaltJrkLim | Jerk Limit to use during Halt State { unit: [pu/s^3], value range: [0.0005, 2000.0] }.
_iq24 | T_sec | Sample time { unit: [s], value range: (0.0, 0.01] }.
_iq24 | VelStart | Velocity start value { unit: [pu/s], value range: [-1.0, 1.0] }.

struct ST_VelMoveMsg_t

Defines the ST_VelMoveMsg_t message data.

The ST_VelMoveMsg_t object contains all configuration parameters of the Velocity Move message sub component.

Definition at line 106 of file spintac_vel_move.h.

Data Fields
_iq24 | ActualAccLim | Actual maximum acceleration of the profile { unit: [pu/s^2], value range: (0.0, AccLim] }.
_iq20 | ActualJrkLim | Actual maximum jerk of the profile { unit: [pu/s^3], value range: (0.0, JrkLim] }.
uint32_t | ProTime_tick | Amount of time profile will take { unit: [tick], value range: (0, uint32_t max] }.

struct ST_VelMove_t

Defines the ST_VelMove_t data.

The ST_VelMove_t object contains all configuration parameters of the Velocity Control component.

Definition at line 115 of file spintac_vel_move.h.

Data Fields
_iq24 | AccLim | Acceleration Limit { unit: [pu/s^2], value range: [0.001, 120.0] }.
_iq24 | AccRef | Acceleration reference { unit: [pu/s^2] }.
ST_VelMoveCfg_t | cfg |
bool | ENB | Enable bit { false: disabled; true: enabled }.
uint16_t | ERR_ID | Error ID { 0: no error; others: see error code }.
_iq20 | JrkLim | Jerk Limit { unit: [pu/s^3], value range: [0.0005, 2000.0] }.
_iq20 | JrkRef | Jerk reference { unit:; [pu /s^3] }.
ST_VelMoveMsg_t | msg |
uint32_t | s1[23] |
ST_MoveStatus_e | STATUS | Profile generator status { ST_MOVE_IDLE, ST_MOVE_INIT, ST_MOVE_CONF, ST_MOVE_BUSY}.
bool | TST | Profile test bit { false: Not Testing; true: Testing Mode }.
_iq24 | VelEnd | Velocity end value { unit: [pu/s], value range: [-1.0, 1.0] }.
_iq24 | VelRef | Velocity reference { unit: [pu/s] }.

## Macro Definition Documentation

#define __ST_AXIS_ENUM__

Definition at line 50 of file spintac_vel_move.h.

#define __ST_MOVE_CURVE_TYPE_ENUM__

Definition at line 62 of file spintac_vel_move.h.

#define __ST_MOVE_STATUS_ENUM__

Definition at line 75 of file spintac_vel_move.h.

## Typedef Documentation

typedef struct _ST_VELMOVE_Handle_* ST_VELMOVE_Handle

Definition at line 138 of file spintac_vel_move.h.

## Enumeration Type Documentation

enum ST_Axis_e

Enumeration for the Axis Status states.

Enumerator
ST_AXIS0 | First Axis.
ST_AXIS1 | Second Axis.
ST_AXIS0 | First Axis.
ST_AXIS1 | Second Axis.
ST_AXIS0 | First Axis.
ST_AXIS1 | Second Axis.
ST_AXIS0 | First Axis.
ST_AXIS1 | Second Axis.

Definition at line 54 of file spintac_vel_move.h.

enum ST_MoveCurveType_e

Enumeration for the Move Curve modes.

Enumerator
ST_MOVE_CUR_TRAP | Trapezoidal curve.
ST_MOVE_CUR_SCRV | S-Curve.
ST_MOVE_CUR_STCRV | ST-Curve.
ST_MOVE_CUR_TRAP | Trapazoidal curve.
ST_MOVE_CUR_SCRV | S-Curve.
ST_MOVE_CUR_STCRV | ST-Curve.

Definition at line 66 of file spintac_vel_move.h.

enum ST_MoveStatus_e

Enumeration for the Move Status states.

Enumerator
ST_MOVE_IDLE | Move is in idle state, holding position.
ST_MOVE_INIT | Move is in init state, validating configured parameters.
ST_MOVE_CONF | Move is in conf state, determining the curves.
ST_MOVE_BUSY | Move is in busy state, providing the curves.
ST_MOVE_HALT | Move is in busy state, ramping velocity to zero.
ST_MOVE_IDLE | Move is in idle state, holding velocity.
ST_MOVE_INIT | Move is in init state, validating configured parameters.
ST_MOVE_CONF | Move is in conf state, determining the curves.
ST_MOVE_BUSY | Move is in busy state, providing the curves.
ST_MOVE_HALT | Not used in ST_MOVE_VEL.

Definition at line 79 of file spintac_vel_move.h.

## Function Documentation

static _iq24 STVELMOVE_getAccelerationLimit | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Acceleration Limit (AccLim) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq24 AccLim Acceleration Limit { unit: [pu/s^2], value range: [0.001, 120.0] }

Definition at line 282 of file spintac_vel_move.h.

References ST_VelMove_t::AccLim.

static _iq24 STVELMOVE_getAccelerationReference | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Acceleration Reference (AccRef) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq24 AccRef Acceleration reference { unit: [pu/s^2] }

Definition at line 371 of file spintac_vel_move.h.

References ST_VelMove_t::AccRef.

static _iq24 STVELMOVE_getActualAcceleration | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Actual Acceleration (msg.ActualAccLim) for current profile.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq24 msg.ActualAccLim Actual acceleration of the profile { unit: [pu/s^2], value range: (0, AccLim] }

Definition at line 233 of file spintac_vel_move.h.

References ST_VelMoveMsg_t::ActualAccLim, and ST_VelMove_t::msg.

static _iq20 STVELMOVE_getActualJerk | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Actual Jerk (msg.ActualJrkLim) for current pofile.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq20 msg.ActualJrkLim Actual jerk of the profile { unit: [pu/s^3], value range: (0, JrkLim] }

Definition at line 242 of file spintac_vel_move.h.

References ST_VelMoveMsg_t::ActualJrkLim, and ST_VelMove_t::msg.

static ST_MoveCurveType_e STVELMOVE_getCurveType | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Curve Type (cfg.CurveType) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  ST_MoveCurveType_e CurveType Curve Type { ST_MOVE_CUR_TRAP: Trap; ST_MOVE_CUR_SCRV: s-Curve; ST_MOVE_CUR_STCRV: st-Curve }

Definition at line 167 of file spintac_vel_move.h.

References ST_VelMove_t::cfg, and ST_VelMoveCfg_t::CurveType.

static bool STVELMOVE_getEnable | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Enable signal (ENB) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  bool ENB Enable bit { false: disable; true: enable }

Definition at line 322 of file spintac_vel_move.h.

References ST_VelMove_t::ENB.

static uint16_t STVELMOVE_getErrorID | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Error value (ERR_ID) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  uint16_t ERR_ID Error ID { 0: no error; others: see error code }

Definition at line 398 of file spintac_vel_move.h.

References ST_VelMove_t::ERR_ID.

static _iq20 STVELMOVE_getJerkLimit | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Jerk Limit (JrkLim) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq20 JrkLim Jerk Limit { unit: [pu/s^3], value range: [0.0005, 2000.0] }

Definition at line 302 of file spintac_vel_move.h.

References ST_VelMove_t::JrkLim.

static _iq20 STVELMOVE_getJerkReference | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Jerk Reference (JrkRef) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq20 JrkRef Jerk reference { unit: [pu /s^3] }

Definition at line 380 of file spintac_vel_move.h.

References ST_VelMove_t::JrkRef.

static uint32_t STVELMOVE_getProfileTime_tick | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Profile Time (msg.ProTime_tick) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  uint32_t ProTime_tick Amount of time profile will take ( unit: [ticks], value range: (0, uint32_t max] }

Definition at line 224 of file spintac_vel_move.h.

References ST_VelMove_t::msg, and ST_VelMoveMsg_t::ProTime_tick.

static ST_MoveStatus_e STVELMOVE_getStatus | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Status value (STATUS) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  ST_MoveStatus_e STATUS Profile generator status { ST_MOVE_IDLE, ST_MOVE_INIT, ST_MOVE_CONF, ST_MOVE_BUSY}

Definition at line 389 of file spintac_vel_move.h.

References ST_VelMove_t::STATUS.

static bool STVELMOVE_getTest | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Test signal (TST) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  bool TST Profile test bit { false: not testing; true: no profile output }

Definition at line 342 of file spintac_vel_move.h.

References ST_VelMove_t::TST.

static _iq24 STVELMOVE_getVelocityEnd | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Velocity End (VelEnd) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq24 VelEnd Velocity end value { unit: [pu/s], value range: [-1.0, 1.0] }

Definition at line 262 of file spintac_vel_move.h.

References ST_VelMove_t::VelEnd.

static _iq24 STVELMOVE_getVelocityReference | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Velocity Reference (VelRef) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq24 VelRef Velocity reference { unit: [pu/s] }

Definition at line 351 of file spintac_vel_move.h.

References ST_VelMove_t::VelRef.

static _iq24 STVELMOVE_getVelocityStart | ( | ST_VELMOVE_Handle | handle | ) |
| inline static

Gets the Velocity Start (cfg.VelStart) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object

Returns
  _iq24 VelStart Velocity start value { unit: [pu/s], value range: [-1.0, 1.0] }

Definition at line 215 of file spintac_vel_move.h.

References ST_VelMove_t::cfg, and ST_VelMoveCfg_t::VelStart.

ST_VELMOVE_Handle STVELMOVE_init | ( | void * | pMemory,
|  | const size_t | numBytes
| ) |  |

Initializes the SpinTAC Velocity Move object.

Parameters

  [in] | *pMemory | Pointer to the memory for ST_VelMove_t
  [in] | numBytes | The number of bytes in the ST_VelMove_t

Returns
  ST_VELMOVE_Handle handle The handle for the SpinTAC Velocity Move Object

void STVELMOVE_run | ( | ST_VELMOVE_Handle | handle | ) |

Runs the SpinTAC Velocity Move Function.

Parameters

  [in] | handle | The pointer to the Velocity Move structure

static void STVELMOVE_setAccelerationLimit | ( | ST_VELMOVE_Handle | handle,
|  | _iq24 | accLim
| ) |  |
| inline static

Sets the Acceleration Limit (AccLim) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | accLim | Acceleration Limit { unit: [pu/s^2], value range: [0.001, 120.0] }

Definition at line 271 of file spintac_vel_move.h.

References ST_VelMove_t::AccLim.

static void STVELMOVE_setAxis | ( | ST_VELMOVE_Handle | handle,
|  | ST_Axis_e | axis
| ) |  |
| inline static

Sets the Axis (cfg.Axis) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | axis | Axis ID { ST_AXIS0: axis 0, ST_AXIS1: axis 1}

Definition at line 143 of file spintac_vel_move.h.

References ST_VelMoveCfg_t::Axis, ST_VelMove_t::cfg, ST_MOVE_IDLE, and ST_VelMove_t::STATUS.

static void STVELMOVE_setCurveType | ( | ST_VELMOVE_Handle | handle,
|  | ST_MoveCurveType_e | curveType
| ) |  |
| inline static

Sets the Curve Type (cfg.CurveType) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | curveType | Curve Type { ST_MOVE_CUR_TRAP: Trap; ST_MOVE_CUR_SCRV: s-Curve; ST_MOVE_CUR_STCRV: st-Curve }

Definition at line 156 of file spintac_vel_move.h.

References ST_VelMove_t::cfg, and ST_VelMoveCfg_t::CurveType.

static void STVELMOVE_setEnable | ( | ST_VELMOVE_Handle | handle,
|  | bool | enb
| ) |  |
| inline static

Sets the Enable signal (ENB) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | enb | Enable bit { false: disable; true: enable }

Definition at line 311 of file spintac_vel_move.h.

References ST_VelMove_t::ENB.

static void STVELMOVE_setHaltLimits | ( | ST_VELMOVE_Handle | handle,
|  | _iq20 | haltJrkLim
| ) |  |
| inline static

Sets the Halt Limits (cfg.HaltJrkLim) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | haltJrkLim | Jerk Limit during Halt State { unit: [pu/s^3], value range: [0.0005, 2000.0] }

Definition at line 189 of file spintac_vel_move.h.

References ST_VelMove_t::cfg, ST_VelMoveCfg_t::HaltJrkLim, ST_MOVE_IDLE, and ST_VelMove_t::STATUS.

static void STVELMOVE_setJerkLimit | ( | ST_VELMOVE_Handle | handle,
|  | _iq20 | jrkLim
| ) |  |
| inline static

Sets the Jerk Limit (JrkLim) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | jrkLim | Jerk Limit { unit: [pu/s^3], value range: [0.0005, 2000.0] }

Definition at line 291 of file spintac_vel_move.h.

References ST_VelMove_t::JrkLim.

static void STVELMOVE_setSampleTime_sec | ( | ST_VELMOVE_Handle | handle,
|  | _iq24 | sampleTime
| ) |  |
| inline static

Sets the Sample Time (cfg.T_sec) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | sampleTime | Sample time { unit: [s], value range: (0.0, 0.01] }

Definition at line 176 of file spintac_vel_move.h.

References ST_VelMove_t::cfg, ST_MOVE_IDLE, ST_VelMove_t::STATUS, and ST_VelMoveCfg_t::T_sec.

static void STVELMOVE_setTest | ( | ST_VELMOVE_Handle | handle,
|  | bool | tst
| ) |  |
| inline static

Sets the Test signal (TST) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | tst | Profile test bit { false: not testing; true: no profile output }

Definition at line 331 of file spintac_vel_move.h.

References ST_VelMove_t::TST.

static void STVELMOVE_setVelocityEnd | ( | ST_VELMOVE_Handle | handle,
|  | _iq24 | velEnd
| ) |  |
| inline static

Sets the Velocity End (VelEnd) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | velEnd | Velocity end value { unit: [pu/s], value range: [-1.0, 1.0] }

Definition at line 251 of file spintac_vel_move.h.

References ST_VelMove_t::VelEnd.

static void STVELMOVE_setVelocityReference | ( | ST_VELMOVE_Handle | handle,
|  | _iq24 | velRef
| ) |  |
| inline static

Sets the Velocity Reference (VelRef) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | velRef | Velocity reference { unit: [pu/s] }

Definition at line 360 of file spintac_vel_move.h.

References ST_VelMove_t::VelRef.

static void STVELMOVE_setVelocityStart | ( | ST_VELMOVE_Handle | handle,
|  | _iq24 | velStart
| ) |  |
| inline static

Sets the Velocity Start (cfg.VelStart) for SpinTAC Velocity Move.

Parameters

  [in] | handle | The handle for the SpinTAC Velocity Move Object
  [in] | velStart | Velocity start value { unit: [pu/s], value range: [-1.0, 1.0] }

Definition at line 202 of file spintac_vel_move.h.

References ST_VelMove_t::cfg, ST_MOVE_IDLE, ST_VelMove_t::STATUS, and ST_VelMoveCfg_t::VelStart.